Listar contatos
curl --request GET \
--url https://api.notifique.dev/v1/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"telegramPeer": "<string>",
"languages": [
"<string>"
],
"receiveMarketing": true,
"telegramLinks": [
{
"instanceId": "<string>",
"peer": "<string>",
"instanceName": "<string>"
}
],
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Contatos
Listar contatos
Lista contatos cadastrados.
GET
/
v1
/
contacts
Listar contatos
curl --request GET \
--url https://api.notifique.dev/v1/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"telegramPeer": "<string>",
"languages": [
"<string>"
],
"receiveMarketing": true,
"telegramLinks": [
{
"instanceId": "<string>",
"peer": "<string>",
"instanceName": "<string>"
}
],
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Autorizações
ntfContactBearerAuthntfContactApiKeyHeader
Authorization: Bearer sk_live_xxxxx
Parâmetros de consulta
Página (default 1)
Itens por página (default 20, máx 100)
Busca por nome, telefone ou e-mail
Filtrar contatos que têm esta tag
Esta página foi útil?
⌘I

